summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: c434ec6)
raw | patch | inline | side by side (parent: c434ec6)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 22 Jan 2008 15:16:09 +0000 (15:16 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Tue, 22 Jan 2008 15:16:09 +0000 (15:16 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@8539 594d385d-05f5-0310-b6e9-bd551577e9d8
gosa-si/debian/gosa-si | [deleted file] | patch | blob | history |
gosa-si/debian/gosa-si-common.default | [new file with mode: 0644] | patch | blob |
gosa-si/debian/gosa-si-common.init | [new file with mode: 0755] | patch | blob |
gosa-si/debian/gosa-si-common.install | patch | blob | history | |
gosa-si/debian/gosa-si-server.init | [deleted file] | patch | blob | history |
gosa-si/debian/rules | patch | blob | history |
diff --git a/gosa-si/debian/gosa-si b/gosa-si/debian/gosa-si
--- a/gosa-si/debian/gosa-si
+++ /dev/null
@@ -1,3 +0,0 @@
-# /etc/default/gosa-si - configure the init script
-START_BUS=0
-START_CLIENT=1
diff --git a/gosa-si/debian/gosa-si-common.default b/gosa-si/debian/gosa-si-common.default
--- /dev/null
@@ -0,0 +1,3 @@
+# /etc/default/gosa-si - configure the init script
+START_BUS=0
+START_CLIENT=1
diff --git a/gosa-si/debian/gosa-si-common.init b/gosa-si/debian/gosa-si-common.init
--- /dev/null
@@ -0,0 +1,120 @@
+#!/bin/sh
+# Start/stop the GOsa support daemon infrastructure.
+#
+### BEGIN INIT INFO
+# Provides: gosa-si
+# Required-Start: $syslog $time
+# Required-Stop: $syslog $time
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: GOsa message bus and server component
+# Description: gosa-si establishes the communication between a couple of
+# GOsa hosting servers and optionally clients to do event
+# signaling for all communication partners.
+### END INIT INFO
+
+# Sanity checks
+test -f /usr/sbin/gosa-si-server || exit 0
+test -f /usr/sbin/gosa-si-bus || exit 0
+
+# Load defaults
+START_BUS=0
+[ -r /etc/default/gosa-si ] && . /etc/default/gosa-si
+
+# Load LSB support functions
+. /lib/lsb/init-functions
+
+
+start_client() {
+ start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-client.pid --name gosa-si-client --startas /usr/sbin/gosa-si-client
+}
+
+
+start_bus() {
+ start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus --startas /usr/sbin/gosa-si-bus
+}
+
+
+start_server() {
+ start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server --startas /usr/sbin/gosa-si-server -- $1
+}
+
+
+stop_client() {
+ start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-client.pid --name gosa-si-client
+}
+
+
+stop_bus() {
+ start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus
+}
+
+
+stop_server() {
+ start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server
+}
+
+
+case "$1" in
+start) log_daemon_msg "Starting GOsa support infrastructure"
+ if [ -x /usr/sbin/gosa-si-server ]; then
+ if [ "$START_BUS" == "1" ]; then
+ log_progress_msg "bus"
+ start_bus
+ log_progress_msg "daemon"
+ start_server
+ else
+ log_progress_msg "daemon"
+ start_server --no-bus
+ fi
+ fi
+ if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
+ log_progress_msg "client"
+ start_client
+ fi
+ log_end_msg $?
+ ;;
+stop) log_daemon_msg "Stopping GOsa support infrastructure"
+ if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
+ log_progress_msg "client"
+ stop_client
+ fi
+ if [ -x /usr/sbin/gosa-si-server ]; then
+ if [ "$START_BUS" == "1" ]; then
+ log_progress_msg "daemon"
+ stop_server
+ log_progress_msg "bus"
+ stop_bus
+ else
+ log_progress_msg "daemon"
+ stop_server
+ fi
+ fi
+ log_end_msg $?
+ ;;
+reload|force-reload|restart) log_daemon_msg "Restarting GOsa support infrastructure"
+ if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
+ stop_client
+ fi
+ if [ -x /usr/sbin/gosa-si-server ]; then
+ if [ "$START_BUS" == "1" ]; then
+ stop_server
+ stop_bus
+ start_bus
+ start_server --no-bus
+ else
+ stop_server
+ start_server --no-bus
+ fi
+ fi
+ if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
+ start_client
+ fi
+ log_progress_msg "done"
+ log_end_msg $?
+ ;;
+*) log_action_msg "Usage: /etc/init.d/gosa-si {start|stop|restart|reload|force-reload}"
+ exit 2
+ ;;
+esac
+exit 0
index 3db70042e7acca58b8703dd3d428dbd8c1c9e1fd..4f629564efa3c348e8a284554fe2a2137a131f03 100644 (file)
modules/GosaSupportDaemon.pm usr/share/perl5/GOSA
modules/DBsqlite.pm usr/share/perl5/GOSA
-debian/gosa-si etc/default
diff --git a/gosa-si/debian/gosa-si-server.init b/gosa-si/debian/gosa-si-server.init
+++ /dev/null
@@ -1,120 +0,0 @@
-#!/bin/sh
-# Start/stop the GOsa support daemon infrastructure.
-#
-### BEGIN INIT INFO
-# Provides: gosa-si
-# Required-Start: $syslog $time
-# Required-Stop: $syslog $time
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: GOsa message bus and server component
-# Description: gosa-si establishes the communication between a couple of
-# GOsa hosting servers and optionally clients to do event
-# signaling for all communication partners.
-### END INIT INFO
-
-# Sanity checks
-test -f /usr/sbin/gosa-si-server || exit 0
-test -f /usr/sbin/gosa-si-bus || exit 0
-
-# Load defaults
-START_BUS=0
-[ -r /etc/default/gosa-si ] && . /etc/default/gosa-si
-
-# Load LSB support functions
-. /lib/lsb/init-functions
-
-
-start_client() {
- start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-client.pid --name gosa-si-client --startas /usr/sbin/gosa-si-client
-}
-
-
-start_bus() {
- start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus --startas /usr/sbin/gosa-si-bus
-}
-
-
-start_server() {
- start-stop-daemon --start --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server --startas /usr/sbin/gosa-si-server -- $1
-}
-
-
-stop_client() {
- start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-client.pid --name gosa-si-client
-}
-
-
-stop_bus() {
- start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-bus.pid --name gosa-si-bus
-}
-
-
-stop_server() {
- start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/gosa-si-server.pid --name gosa-si-server
-}
-
-
-case "$1" in
-start) log_daemon_msg "Starting GOsa support infrastructure"
- if [ -x /usr/sbin/gosa-si-server ]; then
- if [ "$START_BUS" == "1" ]; then
- log_progress_msg "bus"
- start_bus
- log_progress_msg "daemon"
- start_server
- else
- log_progress_msg "daemon"
- start_server --no-bus
- fi
- fi
- if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
- log_progress_msg "client"
- start_client
- fi
- log_end_msg $?
- ;;
-stop) log_daemon_msg "Stopping GOsa support infrastructure"
- if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
- log_progress_msg "client"
- stop_client
- fi
- if [ -x /usr/sbin/gosa-si-server ]; then
- if [ "$START_BUS" == "1" ]; then
- log_progress_msg "daemon"
- stop_server
- log_progress_msg "bus"
- stop_bus
- else
- log_progress_msg "daemon"
- stop_server
- fi
- fi
- log_end_msg $?
- ;;
-reload|force-reload|restart) log_daemon_msg "Restarting GOsa support infrastructure"
- if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
- stop_client
- fi
- if [ -x /usr/sbin/gosa-si-server ]; then
- if [ "$START_BUS" == "1" ]; then
- stop_server
- stop_bus
- start_bus
- start_server --no-bus
- else
- stop_server
- start_server --no-bus
- fi
- fi
- if [ "$START_CLIENT" == "1" -a -x /usr/sbin/gosa-si-client ]; then
- start_client
- fi
- log_progress_msg "done"
- log_end_msg $?
- ;;
-*) log_action_msg "Usage: /etc/init.d/gosa-si {start|stop|restart|reload|force-reload}"
- exit 2
- ;;
-esac
-exit 0
diff --git a/gosa-si/debian/rules b/gosa-si/debian/rules
index f54d5592ab937c0a19c42feb5223ebde834633c7..4c5bcd6622be6ecbb442d5177919c7e3140a4a6e 100755 (executable)
--- a/gosa-si/debian/rules
+++ b/gosa-si/debian/rules
dh_installexamples
dh_installchangelogs
#dh_installdebconf
- dh_installinit -pgosa-si-server --init-script=gosa-si
+ dh_installinit --init-script=gosa-si
dh_link
dh_strip
dh_compress